Page MenuHomePhabricator

Error undeleting page: IncompleteRevisionException: sha1 field must not be !
Closed, ResolvedPublic

Description

Problem report here.

  • MediaWiki: 1.31.0
  • PHP: 7.0.30-0+deb9u1 (fpm-fcgi)
  • MariaDB: 10.1.26-MariaDB-0+deb9u1

Details from posting:

I'm an Admin on some wiki, that was recently updated to MW 1.31.0.
And it seem that this triggered a problem with restore revisions older than a particular date.
The related date in question seem to point an other WM update installation. MW 1.21.1.

Messages and backtrace:

Error undeleting page
Some or all of the undeletion failed:

Invalid or missing revision.
You may have a bad link, or the revision may have been restored or removed from the archive.

The revision #0 of the page named "<pagename>" does not exist.
This is usually caused by following an outdated history link to a page that has been deleted. Details can be found in the deletion log. 

Internal error

[df5b7d69e1520c3751ee7415] /w/index.php?title=Special:Undelete&action=submit MediaWiki\Storage\IncompleteRevisionException from line 308 of /<...>/w/includes/Storage/RevisionStore.php: sha1 field must not be !

Backtrace:

#0 /<...>/w/includes/Storage/RevisionStore.php(352): MediaWiki\Storage\RevisionStore->failOnEmpty(string, string)
#1 /<...>/w/includes/Revision.php(1123): MediaWiki\Storage\RevisionStore->insertRevisionOn(MediaWiki\Storage\RevisionArchiveRecord, Wikimedia\Rdbms\DatabaseMysqli)
#2 /<...>/w/includes/page/PageArchive.php(678): Revision->insertOn(Wikimedia\Rdbms\DatabaseMysqli)
#3 /<...>/w/includes/page/PageArchive.php(419): PageArchive->undeleteRevisions(array, boolean, string)
#4 /<...>/w/includes/specials/SpecialUndelete.php(1146): PageArchive->undelete(array, string, array, boolean, User)
#5 /<...>/w/includes/specials/SpecialUndelete.php(201): SpecialUndelete->undelete()
#6 /<...>/w/includes/specialpage/SpecialPage.php(522): SpecialUndelete->execute(NULL)
#7 /<...>/w/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(NULL)
#8 /<...>/w/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#9 /<...>/w/includes/MediaWiki.php(861): MediaWiki->performRequest()
#10 /<...>/w/includes/MediaWiki.php(524): MediaWiki->main()
#11 /<...>/w/index.php(42): MediaWiki->run()
#12 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2018, 8:39 PM
Ciencia_Al_Poder added a subscriber: Ciencia_Al_Poder.

It may be another instance of T195692: Attempt to undelete page causes error: Fatal exception of type IncompleteRevisionException: user_text field must not be ''!, but this one is on a different field

The sha1 field was added in MediaWiki 1.19. If a page was deleted before MediaWiki 1.19, it may have this field empty. If the field is empty, MediaWiki should regenerate it on undeletion, and not complain about it.

Ciencia_Al_Poder renamed this task from Problem on restoring/undeleting revisions on updated wiki to Error undeleting page: IncompleteRevisionException: sha1 field must not be !.Jul 30 2018, 9:31 AM
MvGulik added a comment.EditedJul 30 2018, 4:09 PM

The sha1 field was added in MediaWiki 1.19. If a page was deleted before MediaWiki 1.19, it may have this field empty.

In this case its not limited to pages that where already deleted before the last MW 1.31.0 update. Its also effecting currently active revisions (after deleting them) created during the MW 1.21.1 installation. (because those revisions have empty sha1 data/fields to begin with. which can (not) be seen (any more) with this API query (as the problem was fixed).)

If the field is empty, MediaWiki should regenerate it on undeletion, and not complain about it.

Before the MW 1.31.0 update this seems to have been the case (as I can't recall any undelete problems while the wiki was running under MW 1.25.x)

Local MW update history:

  • 1.31.0 - 14 July 2018
  • 1.25.x - (unknown)
  • (unknown, probably none)
  • 1.21.1 - [11 July 2013‎ <- 25 June 2013‎] <= raw date-range(newer<-older) boundary for this particular revision restore failure problem.
  • (unknown)

Might there be a MW 1.31.0 setting that could account for this 'not re-generating sha1 data, on undeleting revisions that lack sha1 data' ?

You can try running populateRevisionSha1.php. I though it may not generate it for deleted revisions, that will have this issue on undeletion, but apparently it also takes cares of deleted revisions, so there shouldn't be any case missing. This script should have been run automatically on upgrade when the field was added.

As general wiki-Admin(Administrator level) I can't, but I will definitely pass is along to the wiki owner/sysop.
But I also like to wait a bit before I do, to see if some other options might pop-up.
(Probably contact the wiki-sysop on Friday, hoping he has some free time in the weekend to run that fix.)

Just for the record. Page moving can also trip on this.
(Page with single revision with empty sha1 field in this case)
(MergeHistory seems not effected)

[b54cf458e5725ce2c7b177f3] /w/index.php?title=Special:MovePage&action=submit MediaWiki\Storage\IncompleteRevisionException from line 308 of /h<...>/w/includes/Storage/RevisionStore.php: sha1 field must not be ''!

Backtrace:

#0 /h<...>/w/includes/Storage/RevisionStore.php(352): MediaWiki\Storage\RevisionStore->failOnEmpty(string, string)
#1 /h<...>/w/includes/Revision.php(1123): MediaWiki\Storage\RevisionStore->insertRevisionOn(MediaWiki\Storage\MutableRevisionRecord, Wikimedia\Rdbms\DatabaseMysqli)
#2 /h<...>/w/includes/MovePage.php(538): Revision->insertOn(Wikimedia\Rdbms\DatabaseMysqli)
#3 /h<...>/w/includes/MovePage.php(271): MovePage->moveToInternal(User, Title, string, boolean, array)
#4 /h<...>/w/includes/specials/SpecialMovepage.php(595): MovePage->move(User, string, boolean)
#5 /h<...>/w/includes/specials/SpecialMovepage.php(128): MovePageForm->doSubmit()
#6 /h<...>/w/includes/specialpage/SpecialPage.php(522): MovePageForm->execute(NULL)
#7 /h<...>/w/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(NULL)
#8 /h<...>/w/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#9 /h<...>/w/includes/MediaWiki.php(861): MediaWiki->performRequest()
#10 /h<...>/w/includes/MediaWiki.php(524): MediaWiki->main()
#11 /h<...>/w/index.php(42): MediaWiki->run()
#12 {main}
MvGulik added a comment.EditedAug 3 2018, 9:40 AM

Update: The maintenance script "populateRevisionSha1.php" was run. But ... it did not resulted in the empty sha1 fields being filled.

Any additional ideas on potential reasons or solutions appreciated.

MvGulik added a comment.EditedAug 13 2018, 6:49 PM

Update: Seems the "populateRevisionSha1" maintenance script needed to be run with some "--force" option.

To make note of a personal point here ... I'm kinda disappointed that option was not mentioned here.

Anyway.
The active problem is/was resolved.
As I'm not familiar with Phabricator's culture or Task handling, ... I leave that to those that do.

.MvGulik.

MarkAHershberger closed this task as Resolved.Aug 13 2018, 10:26 PM
MarkAHershberger claimed this task.

I have a similar issue with an upgraded Wiki to 1.31.0.
When I replace an old file with a new version I get:
98ce1579c67744d6dc919716] /argoswiki/index.php?title=Special:Upload MediaWiki\Revision\IncompleteRevisionException from line 420 of C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\Revision\RevisionStore.php: sha1 field must not be ''!

Backtrace:

#0 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\Revision\RevisionStore.php(473): MediaWiki\Revision\RevisionStore->failOnEmpty(string, string)
#1 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\Revision.php(1136): MediaWiki\Revision\RevisionStore->insertRevisionOn(MediaWiki\Revision\MutableRevisionRecord, Wikimedia\Rdbms\DatabaseMysqli)
#2 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\filerepo\file\LocalFile.php(1674): Revision->insertOn(Wikimedia\Rdbms\DatabaseMysqli)
#3 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\filerepo\file\LocalFile.php(1369): LocalFile->recordUpload2(string, string, boolean, array, string, User, array, boolean)
#4 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\upload\UploadBase.php(868): LocalFile->upload(string, string, boolean, integer, array, boolean, User, array)
#5 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\specials\SpecialUpload.php(567): UploadBase->performUpload(string, boolean, boolean, User, array)
#6 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\specials\SpecialUpload.php(207): SpecialUpload->processUpload()
#7 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\specialpage\SpecialPage.php(569): SpecialUpload->execute(NULL)
#8 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\specialpage\SpecialPageFactory.php(568): SpecialPage->run(NULL)
#9 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#10 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\MediaWiki.php(860): MediaWiki->performRequest()
#11 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\includes\MediaWiki.php(517): MediaWiki->main()
#12 C:\inetpub\wwwroot\wiki.pdc-argos.com\argoswiki\index.php(42): MediaWiki->run()
#13 {main}

When I run
populateRevisionSha1.php --force
It seems to do some changes.
Output at console:
Populating rev_sha1 column
...doing rev_id from 1 to 200
...doing rev_id from 201 to 400
....
...doing ar_rev_id from 6402 to 6601
Populating ar_sha1 column legacy rows
rev_sha1 and ar_sha1 population complete [0 revision rows, 0 archive rows].

What does [0 revision rows, 0 archive rows]. mean?
I get the same error when I retry upload file.

Any ideas?

tweety_mza added a subscriber: tweety_mza.EditedFeb 25 2019, 8:35 PM

Henwilwal.

In version 1.32.0 I have the same problem.

I can not move a page.

[f1d19b21deae5eff770f0885] /wiki/index.php?title=Especial:MoverP%C3%A1gina&action=submit MediaWiki\Revision\IncompleteRevisionException from line 420 of .../wiki/includes/Revision/RevisionStore.php: sha1 field must not be ''!

Backtrace:

#0 ...wiki/includes/Revision/RevisionStore.php(473): MediaWiki\Revision\RevisionStore->failOnEmpty(string, string)
#1 ...wiki/includes/Revision.php(1136): MediaWiki\Revision\RevisionStore->insertRevisionOn(MediaWiki\Revision\MutableRevisionRecord, Wikimedia\Rdbms\DatabaseMysqli)
#2 ...wiki/includes/MovePage.php(543): Revision->insertOn(Wikimedia\Rdbms\DatabaseMysqli)
#3 ...wiki/includes/MovePage.php(271): MovePage->moveToInternal(User, Title, string, boolean, array)
#4 ...wiki/includes/specials/SpecialMovepage.php(603): MovePage->move(User, string, boolean)
#5 ...wiki/includes/specials/SpecialMovepage.php(128): MovePageForm->doSubmit()
#6 ...wiki/includes/specialpage/SpecialPage.php(569): MovePageForm->execute(NULL)
#7 ...wiki/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(NULL)
#8 ...wiki/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#9 ...wiki/includes/MediaWiki.php(860): MediaWiki->performRequest()
#10 ...wiki/includes/MediaWiki.php(517): MediaWiki->main()
#11 ...wiki/index.php(42): MediaWiki->run()
#12 {main}

I also ran populateRevisionSha1.php --force, with the same result: rev_sha1 and ar_sha1 population complete [0 revision rows, 0 archive rows].

In the database the columns rev_sha1 and ar_sha1 are not empty.

I searched everywhere but I did not find the solution.

I appreciate if someone else comes up with something else.

Can you confirm that when you run

SELECT * FROM revision WHERE rev_sha1 = '';

and

SELECT * FROM archive WHERE ar_sha1 = '';

that there are no rows returned?

And, that you do not get any output from running populateRevisionSha1.php like "Data of revision with rev_id=1234 unavailable!"?

tweety_mza added a comment.EditedFeb 28 2019, 8:30 PM

Hi Cindy!

In none of the SQL queries returns records.

And the result when I run "populateRevisionSha1.php" is:

Populating rev_sha1 column
...doing rev_id from 2 to 201
...
...doing rev_id from 19002 to 19201
Populating ar_sha1 column
...doing ar_rev_id from 1 to 200
...
...doing ar_rev_id from 18801 to 19000
Populating ar_sha1 column legacy rows
rev_sha1 and ar_sha1 population complete [0 revision rows, 0 archive rows].

Thanks for your help!

I still can not solve the problem :(.

Since we cannot reproduce the problem, it would help if you could please add some debugging statements around where it fails. That would help to determine why it is finding an empty value if there is none in the database.

Hi
I have run the selects against the Wiki database (table names are prefixed with 'argos').

mysql> SELECT * FROM argos_archive WHERE ar_sha1 = '';
Empty set (0.00 sec)

mysql> SELECT * FROM argos_revision WHERE rev_sha1 = '';
Empty set (0.01 sec)

I'm not sure how to setup debug. In LocalSettings I have set

$wgShowExceptionDetails = true;
$wgDebugLogFile = "------\ArgosWikiDebug.txt";

Actual path replaced by ---
Below is what I can see en the debug log file. (paths replaced by x:\)
Hopefully this will someone to a solution
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3609991 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[ContentHandler] Created handler for wikitext: WikitextContentHandler
User: loading options for user 214 from override cache.
OutputPage::checkLastModified: client did not send If-Modified-Since header
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->transform
Parser: using preprocessor: Preprocessor_DOM
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->construct
[caches] parser: EmptyBagOStuff
Article::tryFileCache(): not cacheable
Article::view using parser cache: yes
Article::view: doing uncached parse
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
MediaHandlerFactory::getHandler: no handler found for application/pdf.
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
OutputPage::sendCacheControl: private caching; Sun, 03 Mar 2019 09:51:43 GMT **
[DBQuery] startAtomic: entering level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[DBPerformance] Expectation (writes <= 0) by MediaWiki::restInPeace not met (actual: 1):
query-m: INSERT INTO argos_job (job_cmd,job_namespace,job_title,job_params,job_timestamp,job_sha1,job_random) VALUES ('X') [TRX#21042a]
#0 x:\x\argoswiki\includes\libs\rdbms\TransactionProfiler.php(224): Wikimedia\Rdbms\TransactionProfiler->reportExpectationViolated('writes', 'query-m: INSERT...', 1)
#1 x:\x\argoswiki\includes\libs\rdbms\database\Database.php(1285): Wikimedia\Rdbms\TransactionProfiler->recordQueryCompletion('query-m: INSERT...', 1551606704.3918, true, 1)
#2 x:\x\argoswiki\includes\libs\rdbms\database\Database.php(1183): Wikimedia\Rdbms\Database->doProfiledQuery('INSERT INTO `a...', 'INSERT /* JobQu...', true, 'JobQueueDB::doB...')
#3 x:\x\argoswiki\includes\libs\rdbms\database\Database.php(2068): Wikimedia\Rdbms\Database->query('INSERT INTO `a...', 'JobQueueDB::doB...')
#4 x:\x\argoswiki\includes\jobqueue\JobQueueDB.php(255): Wikimedia\Rdbms\Database->insert('argos_job', Array, 'JobQueueDB::doB...')
#5 x:\x\argoswiki\includes\jobqueue\JobQueueDB.php(200): JobQueueDB->doBatchPushInternal(Object(Wikimedia\Rdbms\DatabaseMysqli), Array, 0, 'JobQueueDB::doB...')
#6 x:\x\argoswiki\includes\libs\rdbms\database\Database.php(3380): JobQueueDB->{closure}(Object(Wikimedia\Rdbms\DatabaseMysqli))
#7 x:\x\argoswiki\includes\libs\rdbms\database\DBConnRef.php(49): Wikimedia\Rdbms\Database->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#8 x:\x\argoswiki\includes\libs\rdbms\database\DBConnRef.php(514): Wikimedia\Rdbms\DBConnRef->
call('onTransactionPr...', Array)
#9 x:\x\argoswiki\includes\jobqueue\JobQueueDB.php(202): Wikimedia\Rdbms\DBConnRef->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#10 x:\x\argoswiki\includes\jobqueue\JobQueue.php(332): JobQueueDB->doBatchPush(Array, 0)
#11 x:\x\argoswiki\includes\jobqueue\JobQueue.php(302): JobQueue->batchPush(Array, 0)
#12 x:\x\argoswiki\includes\jobqueue\JobQueueGroup.php(151): JobQueue->push(Array)
#13 x:\x\argoswiki\includes\deferred\JobQueueEnqueueUpdate.php(57): JobQueueGroup->push(Array)
#14 x:\x\argoswiki\includes\deferred\DeferredUpdates.php(270): JobQueueEnqueueUpdate->doUpdate()
#15 x:\x\argoswiki\includes\deferred\DeferredUpdates.php(216): DeferredUpdates::runUpdate(Object(JobQueueEnqueueUpdate), Object(Wikimedia\Rdbms\LBFactorySimple), 'enqueue', 2)
#16 x:\x\argoswiki\includes\deferred\DeferredUpdates.php(140): DeferredUpdates::execute(Array, 'enqueue', 2)
#17 x:\x\argoswiki\includes\MediaWiki.php(903): DeferredUpdates::doUpdates('enqueue')
#18 x:\x\argoswiki\includes\MediaWiki.php(726): MediaWiki->restInPeace('normal', true)
#19 x:\x\argoswiki\includes\MediaWiki.php(749): MediaWiki->{closure}()
#20 x:\x\argoswiki\includes\MediaWiki.php(550): MediaWiki->doPostOutputShutdown('normal')
#21 x:\x\argoswiki\index.php(42): MediaWiki->run()
#22 {main}
[DBQuery] endAtomic: leaving level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303095144 requestId=96cc63ce8f712de1c2c8a30f causeAction=unknown causeAgent=unknown (id=870,timestamp=20190303095144) STARTING
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[DBQuery] MediaWiki\Storage\DerivedPageDataUpdater::doSecondaryDataUpdates: committing on behalf of RefreshLinksJob::run.
[DBQuery] RefreshLinksJob::runForTitle: committing on behalf of RefreshLinksJob::run.
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303095144 requestId=96cc63ce8f712de1c2c8a30f causeAction=unknown causeAgent=unknown (id=870,timestamp=20190303095144) t=202 good
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.

Kind regards,

The debug log should be used to capture the events when you get the error. The error for you happens when undeleting a page. However, the log you posted is capturing a page view of the "Main_Page".

Henwilwal added a comment.EditedMar 3 2019, 5:45 PM

Hi
Sorry for posting incomplete information.
I have now a debug log from trying to upload a new version of an existing file at the Wiki.
Thank you for looking in to this issue.

Error at Wiki:

[8ada3731fb9f4e4226a2f552] /argoswiki/index.php?title=Special:Upload MediaWiki\Revision\IncompleteRevisionException from line 420 of x:\x\argoswiki\includes\Revision\RevisionStore.php: sha1 field must not be ''!

Backtrace:

#0 x:\x\argoswiki\includes\Revision\RevisionStore.php(473): MediaWiki\Revision\RevisionStore->failOnEmpty(string, string)
#1 x:\x\argoswiki\includes\Revision.php(1136): MediaWiki\Revision\RevisionStore->insertRevisionOn(MediaWiki\Revision\MutableRevisionRecord, Wikimedia\Rdbms\DatabaseMysqli)
#2 x:\x\argoswiki\includes\filerepo\file\LocalFile.php(1674): Revision->insertOn(Wikimedia\Rdbms\DatabaseMysqli)
#3 x:\x\argoswiki\includes\filerepo\file\LocalFile.php(1369): LocalFile->recordUpload2(string, string, string, array, string, User, array, boolean)
#4 x:\x\argoswiki\includes\upload\UploadBase.php(868): LocalFile->upload(string, string, string, integer, array, boolean, User, array)
#5 x:\x\argoswiki\includes\specials\SpecialUpload.php(567): UploadBase->performUpload(string, string, boolean, User, array)
#6 x:\x\argoswiki\includes\specials\SpecialUpload.php(207): SpecialUpload->processUpload()
#7 x:\x\argoswiki\includes\specialpage\SpecialPage.php(569): SpecialUpload->execute(NULL)
#8 x:\x\argoswiki\includes\specialpage\SpecialPageFactory.php(568): SpecialPage->run(NULL)
#9 x:\x\argoswiki\includes\MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#10 x:\x\argoswiki\includes\MediaWiki.php(860): MediaWiki->performRequest()
#11 x:\x\argoswiki\includes\MediaWiki.php(517): MediaWiki->main()
#12 x:\x\argoswiki\index.php(42): MediaWiki->run()
#13 {main}

debug log:
IP: xxxx
Start request GET /argoswiki/index.php?title=Main_Page
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
DNT: 1
UPGRADE-INSECURE-REQUESTS: 1
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8
CONNECTION: close
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610511 will be used for SqlBagOStuff
[session] SessionBackend "29pkui9n7gsk513mg7snkli5iftcvofr" is unsaved, marking dirty in constructor
[session] SessionBackend "29pkui9n7gsk513mg7snkli5iftcvofr" save: dataDirty=1 metaDirty=1 forcePersist=0
[cookie] setcookie: "argoswikiproddb_argossession", "29pkui9n7gsk513mg7snkli5iftcvofr", "0", "/", "", "1", "1"
[cookie] setcookie: "argoswikiproddb_argos_UserID", "214", "1567186267", "/", "", "1", "1"
[cookie] setcookie: "argoswikiproddb_argos_UserName", "HWAWikiSysop", "1567186267", "/", "", "1", "1"
[cookie] setcookie: "argoswikiproddb_argos_Token", "2ec01f2970e010f87c8c7f7a531c4076", "1567186267", "/", "", "1", "1"
[cookie] already deleted setcookie: "forceHTTPS", "", "1520098267", "/", "", "", "1"
[session] SessionBackend "29pkui9n7gsk513mg7snkli5iftcvofr" data dirty due to addData(): call_user_func_array/MediaWiki\Session\SessionBackend->MediaWiki\Session\{closure}/MediaWiki\Session\SessionBackend->save/MediaWiki\Session\CookieSessionProvider->persistSession/MediaWiki\Session\SessionBackend->addData
[session] SessionBackend "29pkui9n7gsk513mg7snkli5iftcvofr" data dirty due to addData(): call_user_func_array/MediaWiki\Session\SessionBackend->MediaWiki\Session\{closure}/MediaWiki\Session\SessionBackend->save/MediaWiki\Session\CookieSessionProvider->persistSession/MediaWiki\Session\SessionBackend->addData
[session] SessionBackend "29pkui9n7gsk513mg7snkli5iftcvofr" data dirty due to addData(): call_user_func_array/MediaWiki\Session\SessionBackend->MediaWiki\Session\{closure}/MediaWiki\Session\SessionBackend->save/MediaWiki\Session\CookieSessionProvider->persistSession/MediaWiki\Session\SessionBackend->addData
[session] SessionBackend "29pkui9n7gsk513mg7snkli5iftcvofr" save: dataDirty=1 metaDirty=1 forcePersist=0
[cookie] already set setcookie: "argoswikiproddb_argos
session", "29pkui9n7gsk513mg7snkli5iftcvofr", "0", "/", "", "1", "1"
[cookie] already set setcookie: "argoswikiproddb_argos_UserID", "214", "1567186267", "/", "", "1", "1"
[cookie] already set setcookie: "argoswikiproddb_argos_UserName", "HWAWikiSysop", "1567186267", "/", "", "1", "1"
[cookie] already set setcookie: "argoswikiproddb_argos_Token", "2ec01f2970e010f87c8c7f7a531c4076", "1567186267", "/", "", "1", "1"
[cookie] already deleted setcookie: "forceHTTPS", "", "1520098267", "/", "", "", "1"
[cookie] already set setcookie: "argoswikiproddb_argossession", "29pkui9n7gsk513mg7snkli5iftcvofr", "0", "/", "", "1", "1"
[cookie] already set setcookie: "argoswikiproddb_argos_UserID", "214", "1567186267", "/", "", "1", "1"
[cookie] already set setcookie: "argoswikiproddb_argos_UserName", "HWAWikiSysop", "1567186267", "/", "", "1", "1"
[cookie] already set setcookie: "argoswikiproddb_argos_Token", "2ec01f2970e010f87c8c7f7a531c4076", "1567186267", "/", "", "1", "1"
[cookie] already deleted setcookie: "forceHTTPS", "", "1520098267", "/", "", "", "1"
[session] SessionBackend "29pkui9n7gsk513mg7snkli5iftcvofr" Taking over PHP session
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[ContentHandler] Created handler for wikitext: WikitextContentHandler
User: loading options for user 214 from override cache.
OutputPage::checkLastModified: client did not send If-Modified-Since header
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->transform
Parser: using preprocessor: Preprocessor_DOM
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->
construct
[caches] parser: EmptyBagOStuff
Article::tryFileCache(): not cacheable
Article::view using parser cache: yes
Article::view: doing uncached parse
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
MediaHandlerFactory::getHandler: no handler found for application/pdf.
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
User: loading options for user 214 from database.
User: loading options for user 214 from database.
User: loading options for user 214 from database.
[session] SessionBackend "29pkui9n7gsk513mg7snkli5iftcvofr" data dirty due to dirty(): User->getEditToken/User->getEditTokenObject/MediaWiki\Session\Session->getToken/MediaWiki\Session\Session->set/MediaWiki\Session\SessionBackend->dirty
[session] SessionBackend "29pkui9n7gsk513mg7snkli5iftcvofr" save: dataDirty=1 metaDirty=0 forcePersist=0
OutputPage::sendCacheControl: private caching; Sun, 03 Mar 2019 17:31:07 GMT **
[DBQuery] startAtomic: entering level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[DBPerformance] Expectation (writes <= 0) by MediaWiki::restInPeace not met (actual: 1):
query-m: INSERT INTO argos_job (job_cmd,job_namespace,job_title,job_params,job_timestamp,job_sha1,job_random) VALUES ('X') [TRX#a8c9ac]
#0 x:\xargoswiki\includes\libs\rdbms\TransactionProfiler.php(224): Wikimedia\Rdbms\TransactionProfiler->reportExpectationViolated('writes', 'query-m: INSERT...', 1)
#1 x:\xargoswiki\includes\libs\rdbms\database\Database.php(1285): Wikimedia\Rdbms\TransactionProfiler->recordQueryCompletion('query-m: INSERT...', 1551634268.3671, true, 1)
#2 x:\xargoswiki\includes\libs\rdbms\database\Database.php(1183): Wikimedia\Rdbms\Database->doProfiledQuery('INSERT INTO `a...', 'INSERT /* JobQu...', true, 'JobQueueDB::doB...')
#3 x:\xargoswiki\includes\libs\rdbms\database\Database.php(2068): Wikimedia\Rdbms\Database->query('INSERT INTO `a...', 'JobQueueDB::doB...')
#4 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(255): Wikimedia\Rdbms\Database->insert('argos_job', Array, 'JobQueueDB::doB...')
#5 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(200): JobQueueDB->doBatchPushInternal(Object(Wikimedia\Rdbms\DatabaseMysqli), Array, 0, 'JobQueueDB::doB...')
#6 x:\xargoswiki\includes\libs\rdbms\database\Database.php(3380): JobQueueDB->{closure}(Object(Wikimedia\Rdbms\DatabaseMysqli))
#7 x:\xargoswiki\includes\libs\rdbms\database\DBConnRef.php(49): Wikimedia\Rdbms\Database->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#8 x:\xargoswiki\includes\libs\rdbms\database\DBConnRef.php(514): Wikimedia\Rdbms\DBConnRef->__call('onTransactionPr...', Array)
#9 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(202): Wikimedia\Rdbms\DBConnRef->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#10 x:\xargoswiki\includes\jobqueue\JobQueue.php(332): JobQueueDB->doBatchPush(Array, 0)
#11 x:\xargoswiki\includes\jobqueue\JobQueue.php(302): JobQueue->batchPush(Array, 0)
#12 x:\xargoswiki\includes\jobqueue\JobQueueGroup.php(151): JobQueue->push(Array)
#13 x:\xargoswiki\includes\deferred\JobQueueEnqueueUpdate.php(57): JobQueueGroup->push(Array)
#14 x:\xargoswiki\includes\deferred\DeferredUpdates.php(270): JobQueueEnqueueUpdate->doUpdate()
#15 x:\xargoswiki\includes\deferred\DeferredUpdates.php(216): DeferredUpdates::runUpdate(Object(JobQueueEnqueueUpdate), Object(Wikimedia\Rdbms\LBFactorySimple), 'enqueue', 2)
#16 x:\xargoswiki\includes\deferred\DeferredUpdates.php(140): DeferredUpdates::execute(Array, 'enqueue', 2)
#17 x:\xargoswiki\includes\MediaWiki.php(903): DeferredUpdates::doUpdates('enqueue')
#18 x:\xargoswiki\includes\MediaWiki.php(726): MediaWiki->restInPeace('normal', true)
#19 x:\xargoswiki\includes\MediaWiki.php(749): MediaWiki->{closure}()
#20 x:\xargoswiki\includes\MediaWiki.php(550): MediaWiki->doPostOutputShutdown('normal')
#21 x:\xargoswiki\index.php(42): MediaWiki->run()
#22 {main}
[DBQuery] endAtomic: leaving level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303173108 requestId=bbbd0881ce09815666aa13d6 causeAction=unknown causeAgent=unknown (id=874,timestamp=20190303173108) STARTING
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[DBQuery] MediaWiki\Storage\DerivedPageDataUpdater::doSecondaryDataUpdates: committing on behalf of RefreshLinksJob::run.
[DBQuery] RefreshLinksJob::runForTitle: committing on behalf of RefreshLinksJob::run.
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303173108 requestId=bbbd0881ce09815666aa13d6 causeAction=unknown causeAgent=unknown (id=874,timestamp=20190303173108) t=222 good
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: xxxxxx
Start request GET /argoswiki/index.php
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
DNT: 1
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Main_Page
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: image/webp,image/apng,image/*,*/*;q=0.8
CONNECTION: close
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610516 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[ContentHandler] Created handler for wikitext: WikitextContentHandler
User: loading options for user 214 from override cache.
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
OutputPage::sendCacheControl: private caching; Sun, 03 Mar 2019 17:31:10 GMT **
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: x.x.x.x
Start request GET /argoswiki/index.php?title=Main_Page
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
DNT: 1
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Main_Page
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: image/webp,image/apng,image/*,*/*;q=0.8
CONNECTION: close
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610518 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[ContentHandler] Created handler for wikitext: WikitextContentHandler
User: loading options for user 214 from override cache.
OutputPage::checkLastModified: client did not send If-Modified-Since header
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->transform
Parser: using preprocessor: Preprocessor_DOM
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->construct
[caches] parser: EmptyBagOStuff
Article::tryFileCache(): not cacheable
Article::view using parser cache: yes
Article::view: doing uncached parse
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
MediaHandlerFactory::getHandler: no handler found for application/pdf.
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
OutputPage::sendCacheControl: private caching; Sun, 03 Mar 2019 17:31:11 GMT **
[DBQuery] startAtomic: entering level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[DBPerformance] Expectation (writes <= 0) by MediaWiki::restInPeace not met (actual: 1):
query-m: INSERT INTO argos_job (job_cmd,job_namespace,job_title,job_params,job_timestamp,job_sha1,job_random) VALUES ('X') [TRX#4d2046]
#0 x:\xargoswiki\includes\libs\rdbms\TransactionProfiler.php(224): Wikimedia\Rdbms\TransactionProfiler->reportExpectationViolated('writes', 'query-m: INSERT...', 1)
#1 x:\xargoswiki\includes\libs\rdbms\database\Database.php(1285): Wikimedia\Rdbms\TransactionProfiler->recordQueryCompletion('query-m: INSERT...', 1551634271.6061, true, 1)
#2 x:\xargoswiki\includes\libs\rdbms\database\Database.php(1183): Wikimedia\Rdbms\Database->doProfiledQuery('INSERT INTO `a...', 'INSERT /* JobQu...', true, 'JobQueueDB::doB...')
#3 x:\xargoswiki\includes\libs\rdbms\database\Database.php(2068): Wikimedia\Rdbms\Database->query('INSERT INTO `a...', 'JobQueueDB::doB...')
#4 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(255): Wikimedia\Rdbms\Database->insert('argos_job', Array, 'JobQueueDB::doB...')
#5 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(200): JobQueueDB->doBatchPushInternal(Object(Wikimedia\Rdbms\DatabaseMysqli), Array, 0, 'JobQueueDB::doB...')
#6 x:\xargoswiki\includes\libs\rdbms\database\Database.php(3380): JobQueueDB->{closure}(Object(Wikimedia\Rdbms\DatabaseMysqli))
#7 x:\xargoswiki\includes\libs\rdbms\database\DBConnRef.php(49): Wikimedia\Rdbms\Database->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#8 x:\xargoswiki\includes\libs\rdbms\database\DBConnRef.php(514): Wikimedia\Rdbms\DBConnRef->
call('onTransactionPr...', Array)
#9 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(202): Wikimedia\Rdbms\DBConnRef->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#10 x:\xargoswiki\includes\jobqueue\JobQueue.php(332): JobQueueDB->doBatchPush(Array, 0)
#11 x:\xargoswiki\includes\jobqueue\JobQueue.php(302): JobQueue->batchPush(Array, 0)
#12 x:\xargoswiki\includes\jobqueue\JobQueueGroup.php(151): JobQueue->push(Array)
#13 x:\xargoswiki\includes\deferred\JobQueueEnqueueUpdate.php(57): JobQueueGroup->push(Array)
#14 x:\xargoswiki\includes\deferred\DeferredUpdates.php(270): JobQueueEnqueueUpdate->doUpdate()
#15 x:\xargoswiki\includes\deferred\DeferredUpdates.php(216): DeferredUpdates::runUpdate(Object(JobQueueEnqueueUpdate), Object(Wikimedia\Rdbms\LBFactorySimple), 'enqueue', 2)
#16 x:\xargoswiki\includes\deferred\DeferredUpdates.php(140): DeferredUpdates::execute(Array, 'enqueue', 2)
#17 x:\xargoswiki\includes\MediaWiki.php(903): DeferredUpdates::doUpdates('enqueue')
#18 x:\xargoswiki\includes\MediaWiki.php(726): MediaWiki->restInPeace('normal', true)
#19 x:\xargoswiki\includes\MediaWiki.php(749): MediaWiki->{closure}()
#20 x:\xargoswiki\includes\MediaWiki.php(550): MediaWiki->doPostOutputShutdown('normal')
#21 x:\xargoswiki\index.php(42): MediaWiki->run()
#22 {main}
[DBQuery] endAtomic: leaving level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303173111 requestId=a61659ba0933ca1b283275ca causeAction=unknown causeAgent=unknown (id=875,timestamp=20190303173111) STARTING
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[DBQuery] MediaWiki\Storage\DerivedPageDataUpdater::doSecondaryDataUpdates: committing on behalf of RefreshLinksJob::run.
[DBQuery] RefreshLinksJob::runForTitle: committing on behalf of RefreshLinksJob::run.
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303173111 requestId=a61659ba0933ca1b283275ca causeAction=unknown causeAgent=unknown (id=875,timestamp=20190303173111) t=241 good
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: x.x.x.x
Start request GET /argoswiki/index.php?title=Special:Upload
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
DNT: 1
UPGRADE-INSECURE-REQUESTS: 1
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Main_Page
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8
CONNECTION: close
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610520 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
User: loading options for user 214 from override cache.
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->transform
Parser: using preprocessor: Preprocessor_DOM
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->__construct
User::getBlockedStatus: checking...
UploadBase::createFromRequest: class name: UploadFromFile
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
OutputPage::sendCacheControl: private caching; **
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: x.x.xx
Start request GET /argoswiki/index.php
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
DNT: 1
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Special:Upload
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: image/webp,image/apng,image/*,*/*;q=0.8
CONNECTION: close
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610523 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[ContentHandler] Created handler for wikitext: WikitextContentHandler
User: loading options for user 214 from override cache.
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
OutputPage::sendCacheControl: private caching; Sun, 03 Mar 2019 17:31:15 GMT **
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: x.x.x.x
Start request GET /argoswiki/index.php?title=Main_Page
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
DNT: 1
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Special:Upload
IF-MODIFIED-SINCE: Sun, 03 Mar 2019 17:31:11 GMT
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: image/webp,image/apng,image/*,*/*;q=0.8
CONNECTION: close
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610525 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[ContentHandler] Created handler for wikitext: WikitextContentHandler
User: loading options for user 214 from override cache.
OutputPage::checkLastModified: client sent If-Modified-Since: 2019-03-03T17:31:11Z
OutputPage::checkLastModified: effective Last-Modified: 2019-03-03T17:31:16Z
OutputPage::checkLastModified: STALE, page=2019-03-01T08:50:04Z, user=2019-03-03T17:31:16Z, epoch=2019-03-02T17:20:24Z
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->transform
Parser: using preprocessor: Preprocessor_DOM
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->construct
[caches] parser: EmptyBagOStuff
Article::tryFileCache(): not cacheable
Article::view using parser cache: yes
Article::view: doing uncached parse
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
MediaHandlerFactory::getHandler: no handler found for application/pdf.
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
OutputPage::sendCacheControl: private caching; Sun, 03 Mar 2019 17:31:16 GMT **
[DBQuery] startAtomic: entering level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[DBPerformance] Expectation (writes <= 0) by MediaWiki::restInPeace not met (actual: 1):
query-m: INSERT INTO argos_job (job_cmd,job_namespace,job_title,job_params,job_timestamp,job_sha1,job_random) VALUES ('X') [TRX#d26a13]
#0 x:\xargoswiki\includes\libs\rdbms\TransactionProfiler.php(224): Wikimedia\Rdbms\TransactionProfiler->reportExpectationViolated('writes', 'query-m: INSERT...', 1)
#1 x:\xargoswiki\includes\libs\rdbms\database\Database.php(1285): Wikimedia\Rdbms\TransactionProfiler->recordQueryCompletion('query-m: INSERT...', 1551634276.5491, true, 1)
#2 x:\xargoswiki\includes\libs\rdbms\database\Database.php(1183): Wikimedia\Rdbms\Database->doProfiledQuery('INSERT INTO `a...', 'INSERT /* JobQu...', true, 'JobQueueDB::doB...')
#3 x:\xargoswiki\includes\libs\rdbms\database\Database.php(2068): Wikimedia\Rdbms\Database->query('INSERT INTO `a...', 'JobQueueDB::doB...')
#4 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(255): Wikimedia\Rdbms\Database->insert('argos_job', Array, 'JobQueueDB::doB...')
#5 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(200): JobQueueDB->doBatchPushInternal(Object(Wikimedia\Rdbms\DatabaseMysqli), Array, 0, 'JobQueueDB::doB...')
#6 x:\xargoswiki\includes\libs\rdbms\database\Database.php(3380): JobQueueDB->{closure}(Object(Wikimedia\Rdbms\DatabaseMysqli))
#7 x:\xargoswiki\includes\libs\rdbms\database\DBConnRef.php(49): Wikimedia\Rdbms\Database->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#8 x:\xargoswiki\includes\libs\rdbms\database\DBConnRef.php(514): Wikimedia\Rdbms\DBConnRef->
call('onTransactionPr...', Array)
#9 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(202): Wikimedia\Rdbms\DBConnRef->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#10 x:\xargoswiki\includes\jobqueue\JobQueue.php(332): JobQueueDB->doBatchPush(Array, 0)
#11 x:\xargoswiki\includes\jobqueue\JobQueue.php(302): JobQueue->batchPush(Array, 0)
#12 x:\xargoswiki\includes\jobqueue\JobQueueGroup.php(151): JobQueue->push(Array)
#13 x:\xargoswiki\includes\deferred\JobQueueEnqueueUpdate.php(57): JobQueueGroup->push(Array)
#14 x:\xargoswiki\includes\deferred\DeferredUpdates.php(270): JobQueueEnqueueUpdate->doUpdate()
#15 x:\xargoswiki\includes\deferred\DeferredUpdates.php(216): DeferredUpdates::runUpdate(Object(JobQueueEnqueueUpdate), Object(Wikimedia\Rdbms\LBFactorySimple), 'enqueue', 2)
#16 x:\xargoswiki\includes\deferred\DeferredUpdates.php(140): DeferredUpdates::execute(Array, 'enqueue', 2)
#17 x:\xargoswiki\includes\MediaWiki.php(903): DeferredUpdates::doUpdates('enqueue')
#18 x:\xargoswiki\includes\MediaWiki.php(726): MediaWiki->restInPeace('normal', true)
#19 x:\xargoswiki\includes\MediaWiki.php(749): MediaWiki->{closure}()
#20 x:\xargoswiki\includes\MediaWiki.php(550): MediaWiki->doPostOutputShutdown('normal')
#21 x:\xargoswiki\index.php(42): MediaWiki->run()
#22 {main}
[DBQuery] endAtomic: leaving level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303173116 requestId=3cdf8d8bb2e078193e4b4a52 causeAction=unknown causeAgent=unknown (id=876,timestamp=20190303173116) STARTING
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[DBQuery] MediaWiki\Storage\DerivedPageDataUpdater::doSecondaryDataUpdates: committing on behalf of RefreshLinksJob::run.
[DBQuery] RefreshLinksJob::runForTitle: committing on behalf of RefreshLinksJob::run.
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303173116 requestId=3cdf8d8bb2e078193e4b4a52 causeAction=unknown causeAgent=unknown (id=876,timestamp=20190303173116) t=275 good
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: x.x.x.x
Start request GET /argoswiki/api.php?action=query&format=json&formatversion=2&titles=File%3AModelServer%20documentation%2Epdf&prop=imageinfo&iiprop=uploadwarning&errorformat=html&errorlang=en
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
X-REQUESTED-WITH: XMLHttpRequest
DNT: 1
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Special:Upload
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: application/json, text/javascript, */*; q=0.01
CONNECTION: close
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610527 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
MediaHandlerFactory::getHandler: no handler found for application/pdf.
User: loading options for user 214 from override cache.
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->parse
Parser: using preprocessor: Preprocessor_DOM
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->__construct
Linker::makeImageLink: File:ModelServer_documentation.pdf does not allow inline display
ApiMain::setCacheMode: setting cache mode private
[Mime] MimeAnalyzer::loadFiles: loading mime types from x:\xargoswiki\includes/libs/mime/mime.types

[Mime] MimeAnalyzer::loadFiles: loading mime info from x:\xargoswiki\includes/libs/mime/mime.info

MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: y.y.y.y
Start request GET /argoswiki/index.php
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
SENSORID: 11005
USER-AGENT: Mozilla/5.0 (compatible; PRTG Network Monitor (www.paessler.com); Windows)
HOST: wiki.pdc-argos.com
COOKIE: UserCulture=en-US
ACCEPT-ENCODING: identity
ACCEPT: text/html, */*
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "y.y.y.y",
"UserAgent": "Mozilla\/5.0 (compatible; PRTG Network Monitor (www.paessler.com); Windows)",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610528 will be used for SqlBagOStuff
[session] SessionBackend "gdhp7nfnoc5fjo0g98smpbp4oga4db7f" is unsaved, marking dirty in constructor
[session] SessionBackend "gdhp7nfnoc5fjo0g98smpbp4oga4db7f" save: dataDirty=1 metaDirty=1 forcePersist=0
[cookie] already deleted setcookie: "argoswikiproddb_argossession", "", "1520098285", "/", "", "1", "1"
[cookie] already deleted setcookie: "argoswikiproddb_argos_UserID", "", "1520098285", "/", "", "1", "1"
[cookie] already deleted setcookie: "argoswikiproddb_argos_Token", "", "1520098285", "/", "", "1", "1"
[cookie] already deleted setcookie: "forceHTTPS", "", "1520098285", "/", "", "", "1"
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[ContentHandler] Created handler for wikitext: WikitextContentHandler
Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->transform
Parser: using preprocessor: Preprocessor_DOM
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->
construct
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
OutputPage::sendCacheControl: no caching **
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: x.x.x.x
Start request POST /argoswiki/index.php?title=Special:Upload
HTTP HEADERS:
CONTENT-TYPE: multipart/form-data; boundary=----WebKitFormBoundary2MkI365uwA8GF6pp
CONTENT-LENGTH: 922952
DNT: 1
UPGRADE-INSECURE-REQUESTS: 1
ORIGIN: https://wiki.pdc-argos.com
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Special:Upload
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8
CONNECTION: close
CACHE-CONTROL: max-age=0
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreCDB
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610531 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
User: loading options for user 214 from override cache.
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->transform
Parser: using preprocessor: Preprocessor_DOM
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->__construct
User::getBlockedStatus: checking...
UploadBase::createFromRequest: class name: UploadFromFile
[Mime] MimeAnalyzer::loadFiles: loading mime types from x:\xargoswiki\includes/libs/mime/mime.types

[Mime] MimeAnalyzer::loadFiles: loading mime info from x:\xargoswiki\includes/libs/mime/mime.info

[Mime] MimeAnalyzer::doGuessMimeType: analyzing head and tail of x:\x\WikiUpload\php836E.tmp for magic numbers.

[Mime] MimeAnalyzer::doGuessMimeType: magic header in x:\x\WikiUpload\php836E.tmp recognized as application/pdf

[Mime] MimeAnalyzer::guessMimeType: guessed mime type of x:\x\WikiUpload\php836E.tmp: application/pdf

[Mime] MimeAnalyzer::improveTypeFromExtension: improved mime type for .pdf: application/pdf

MediaHandlerFactory::getHandler: no handler found for application/pdf.
mime: <application/pdf> extension: <pdf>
UploadBase::detectScript: checking for embedded scripts and HTML stuff
UploadBase::detectScript: no scripts found
ZipDirectoryReader: Fatal error: zip file lacks EOCDR signature. It probably isn't a zip file.
UploadBase::detectVirus: virus scanner disabled
[Mime] MimeAnalyzer::doGuessMimeType: analyzing head and tail of x:\x\WikiUpload\php836E.tmp for magic numbers.

[Mime] MimeAnalyzer::doGuessMimeType: magic header in x:\x\WikiUpload\php836E.tmp recognized as application/pdf

[Mime] MimeAnalyzer::guessMimeType: guessed mime type of x:\x\WikiUpload\php836E.tmp: application/pdf

[Mime] MimeAnalyzer::improveTypeFromExtension: improved mime type for .pdf: application/pdf

UploadBase::verifyExtension: mime type application/pdf matches extension pdf, passing file
UploadBase::verifyFile: all clear; passing.
Title::getRestrictionTypes: applicable restrictions to [[File:ModelServer documentation.pdf]] are {edit,move,upload}
ForeignAPIRepo: HTTP GET: https://commons.wikimedia.org/w/api.php?aisha1base36=6nwu4xym97aoq72oyy8l1lq9nau34x3&aiprop=timestamp%7Cuser%7Ccomment%7Curl%7Csize%7Csha1%7Cmetadata%7Cmime%7Cmediatype%7Cextmetadata&list=allimages&format=json&action=query&redirects=true&uselang=en
[http] Error fetching URL: SSL certificate problem: unable to get local issuer certificate
[Mime] MimeAnalyzer::doGuessMimeType: analyzing head and tail of x:\x\WikiUpload\php836E.tmp for magic numbers.

[Mime] MimeAnalyzer::doGuessMimeType: magic header in x:\x\WikiUpload\php836E.tmp recognized as application/pdf

[Mime] MimeAnalyzer::guessMimeType: guessed mime type of x:\x\WikiUpload\php836E.tmp: application/pdf

[Mime] MimeAnalyzer::improveTypeFromExtension: improved mime type for .tmp: application/pdf

UploadStash::stashFile stashing file at 'x:\x\WikiUpload\php836E.tmp'
UploadStash::stashFile key for 'x:\x\WikiUpload\php836E.tmp': 16fsuf36ykkc.shkvoe.214.tmp
UploadStash::stashFile inserting mwrepo://local/temp/f/f1/20190303173126!php836E.tmp under 16fsuf36ykkc.shkvoe.214.tmp
[objectcache] Rejected set() for argoswikiproddb-argos_:file:00af15af6cb1248073cfd33bab31abd3ec0067f9 due to pending writes.
Linker::makeImageLink: File:ModelServer_documentation.pdf does not allow inline display
ImageGallery::add ModelServer documentation97.pdf
[objectcache] Rejected set() for argoswikiproddb-argos_:file:55f4f082153656cfffb807aab4a49b92d76bc412 due to pending writes.
[Mime] MimeAnalyzer::guessMimeType: WARNING: use of the $ext parameter is deprecated. Use improveTypeFromExtension($mime, $ext) instead.

[Mime] MimeAnalyzer::doGuessMimeType: analyzing head and tail of x:\xargoswiki\images/temp/f/f1/20190303173126!php836E.tmp for magic numbers.

[Mime] MimeAnalyzer::doGuessMimeType: magic header in x:\xargoswiki\images/temp/f/f1/20190303173126!php836E.tmp recognized as application/pdf

[Mime] MimeAnalyzer::guessMimeType: guessed mime type of x:\xargoswiki\images/temp/f/f1/20190303173126!php836E.tmp: application/pdf

MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
[cookie] setcookie: "UseDC", "master", "1551634296", "/", "", "1", "1"
[cookie] setcookie: "UseCDNCache", "false", "1551634296", "/", "", "1", "1"
User: loading options for user 214 from database.
User: loading options for user 214 from database.
User: loading options for user 214 from database.
OutputPage::sendCacheControl: private caching; **
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[caches] LocalisationCache: using store LCStoreCDB
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: x.x.x.x
[caches] LocalisationCache: using store LCStoreCDB
Start request GET /argoswiki/index.php
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
DNT: 1
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Special:Upload
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr; UseDC=master; UseCDNCache=false
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: image/webp,image/apng,image/*,*/*;q=0.8
CONNECTION: close
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610534 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[ContentHandler] Created handler for wikitext: WikitextContentHandler
User: loading options for user 214 from override cache.
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
OutputPage::sendCacheControl: private caching; Sun, 03 Mar 2019 17:31:27 GMT **
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: x.x.x.x
[caches] LocalisationCache: using store LCStoreCDB
Start request GET /argoswiki/index.php?title=Main_Page
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
DNT: 1
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Special:Upload
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr; UseDC=master; UseCDNCache=false
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: image/webp,image/apng,image/*,*/*;q=0.8
CONNECTION: close
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610536 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[ContentHandler] Created handler for wikitext: WikitextContentHandler
User: loading options for user 214 from override cache.
OutputPage::checkLastModified: client did not send If-Modified-Since header
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->transform
Parser: using preprocessor: Preprocessor_DOM
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->construct
[caches] parser: EmptyBagOStuff
Article::tryFileCache(): not cacheable
Article::view using parser cache: yes
Article::view: doing uncached parse
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
MediaHandlerFactory::getHandler: no handler found for application/pdf.
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
OutputPage::sendCacheControl: private caching; Sun, 03 Mar 2019 17:31:28 GMT **
[DBQuery] startAtomic: entering level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[DBPerformance] Expectation (writes <= 0) by MediaWiki::restInPeace not met (actual: 1):
query-m: INSERT INTO argos_job (job_cmd,job_namespace,job_title,job_params,job_timestamp,job_sha1,job_random) VALUES ('X') [TRX#4e1745]
#0 x:\xargoswiki\includes\libs\rdbms\TransactionProfiler.php(224): Wikimedia\Rdbms\TransactionProfiler->reportExpectationViolated('writes', 'query-m: INSERT...', 1)
#1 x:\xargoswiki\includes\libs\rdbms\database\Database.php(1285): Wikimedia\Rdbms\TransactionProfiler->recordQueryCompletion('query-m: INSERT...', 1551634288.9745, true, 1)
#2 x:\xargoswiki\includes\libs\rdbms\database\Database.php(1183): Wikimedia\Rdbms\Database->doProfiledQuery('INSERT INTO `a...', 'INSERT /* JobQu...', true, 'JobQueueDB::doB...')
#3 x:\xargoswiki\includes\libs\rdbms\database\Database.php(2068): Wikimedia\Rdbms\Database->query('INSERT INTO `a...', 'JobQueueDB::doB...')
#4 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(255): Wikimedia\Rdbms\Database->insert('argos_job', Array, 'JobQueueDB::doB...')
#5 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(200): JobQueueDB->doBatchPushInternal(Object(Wikimedia\Rdbms\DatabaseMysqli), Array, 0, 'JobQueueDB::doB...')
#6 x:\xargoswiki\includes\libs\rdbms\database\Database.php(3380): JobQueueDB->{closure}(Object(Wikimedia\Rdbms\DatabaseMysqli))
#7 x:\xargoswiki\includes\libs\rdbms\database\DBConnRef.php(49): Wikimedia\Rdbms\Database->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#8 x:\xargoswiki\includes\libs\rdbms\database\DBConnRef.php(514): Wikimedia\Rdbms\DBConnRef->
call('onTransactionPr...', Array)
#9 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(202): Wikimedia\Rdbms\DBConnRef->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#10 x:\xargoswiki\includes\jobqueue\JobQueue.php(332): JobQueueDB->doBatchPush(Array, 0)
#11 x:\xargoswiki\includes\jobqueue\JobQueue.php(302): JobQueue->batchPush(Array, 0)
#12 x:\xargoswiki\includes\jobqueue\JobQueueGroup.php(151): JobQueue->push(Array)
#13 x:\xargoswiki\includes\deferred\JobQueueEnqueueUpdate.php(57): JobQueueGroup->push(Array)
#14 x:\xargoswiki\includes\deferred\DeferredUpdates.php(270): JobQueueEnqueueUpdate->doUpdate()
#15 x:\xargoswiki\includes\deferred\DeferredUpdates.php(216): DeferredUpdates::runUpdate(Object(JobQueueEnqueueUpdate), Object(Wikimedia\Rdbms\LBFactorySimple), 'enqueue', 2)
#16 x:\xargoswiki\includes\deferred\DeferredUpdates.php(140): DeferredUpdates::execute(Array, 'enqueue', 2)
#17 x:\xargoswiki\includes\MediaWiki.php(903): DeferredUpdates::doUpdates('enqueue')
#18 x:\xargoswiki\includes\MediaWiki.php(726): MediaWiki->restInPeace('normal', true)
#19 x:\xargoswiki\includes\MediaWiki.php(749): MediaWiki->{closure}()
#20 x:\xargoswiki\includes\MediaWiki.php(550): MediaWiki->doPostOutputShutdown('normal')
#21 x:\xargoswiki\index.php(42): MediaWiki->run()
#22 {main}
[DBQuery] endAtomic: leaving level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303173128 requestId=09575342c06ae4f6a2bb1686 causeAction=unknown causeAgent=unknown (id=877,timestamp=20190303173128) STARTING
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[DBQuery] MediaWiki\Storage\DerivedPageDataUpdater::doSecondaryDataUpdates: committing on behalf of RefreshLinksJob::run.
[DBQuery] RefreshLinksJob::runForTitle: committing on behalf of RefreshLinksJob::run.
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303173128 requestId=09575342c06ae4f6a2bb1686 causeAction=unknown causeAgent=unknown (id=877,timestamp=20190303173128) t=200 good
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: x.x.x.x
[caches] LocalisationCache: using store LCStoreCDB
Start request POST /argoswiki/index.php?title=Special:Upload
HTTP HEADERS:
CONTENT-TYPE: application/x-www-form-urlencoded
CONTENT-LENGTH: 309
DNT: 1
UPGRADE-INSECURE-REQUESTS: 1
ORIGIN: https://wiki.pdc-argos.com
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Special:Upload
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr; UseDC=master; UseCDNCache=false
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8
CONNECTION: close
CACHE-CONTROL: max-age=0
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610538 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
User: loading options for user 214 from override cache.
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->transform
Parser: using preprocessor: Preprocessor_DOM
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->construct
User::getBlockedStatus: checking...
UploadBase::createFromRequest: class name: UploadFromStash
UploadFromStash::
construct creating new UploadStash instance with no user
[Mime] MimeAnalyzer::loadFiles: loading mime types from x:\xargoswiki\includes/libs/mime/mime.types

[Mime] MimeAnalyzer::loadFiles: loading mime info from x:\xargoswiki\includes/libs/mime/mime.info

[Mime] MimeAnalyzer::doGuessMimeType: analyzing head and tail of x:\x\WikiUpload/localcopy_d102b2b3b44a.tmp for magic numbers.

[Mime] MimeAnalyzer::doGuessMimeType: magic header in x:\x\WikiUpload/localcopy_d102b2b3b44a.tmp recognized as application/pdf

[Mime] MimeAnalyzer::guessMimeType: guessed mime type of x:\x\WikiUpload/localcopy_d102b2b3b44a.tmp: application/pdf

[Mime] MimeAnalyzer::improveTypeFromExtension: improved mime type for .pdf: application/pdf

MediaHandlerFactory::getHandler: no handler found for application/pdf.
mime: <application/pdf> extension: <pdf>
UploadBase::detectScript: checking for embedded scripts and HTML stuff
UploadBase::detectScript: no scripts found
ZipDirectoryReader: Fatal error: zip file lacks EOCDR signature. It probably isn't a zip file.
UploadBase::detectVirus: virus scanner disabled
[Mime] MimeAnalyzer::doGuessMimeType: analyzing head and tail of x:\x\WikiUpload/localcopy_d102b2b3b44a.tmp for magic numbers.

[Mime] MimeAnalyzer::doGuessMimeType: magic header in x:\x\WikiUpload/localcopy_d102b2b3b44a.tmp recognized as application/pdf

[Mime] MimeAnalyzer::guessMimeType: guessed mime type of x:\x\WikiUpload/localcopy_d102b2b3b44a.tmp: application/pdf

[Mime] MimeAnalyzer::improveTypeFromExtension: improved mime type for .pdf: application/pdf

UploadBase::verifyExtension: mime type application/pdf matches extension pdf, passing file
UploadBase::verifyFile: all clear; passing.
Title::getRestrictionTypes: applicable restrictions to [[File:ModelServer documentation.pdf]] are {edit,move,upload}
[DBQuery] startAtomic: entering level 0 (LocalFile::lockingTransaction)
[FileOperation] FileBackendStore::getFileStat: File mwstore://local-backend/local-public/archive/2/23/20190303173132!ModelServer_documentation.pdf does not exist
[DBQuery] startAtomic: entering level 1 (LocalFile::recordUpload2)
[DBQuery] startAtomic: entering level 2 (LocalFile::recordUpload2)
[DBQuery] endAtomic: leaving level 2 (LocalFile::recordUpload2)
[objectcache] Rejected set() for global:NameTableSqlStore:slot_roles:argoswikiproddb-argos_ due to pending writes.
[objectcache] Rejected set() for global:NameTableSqlStore:content_models:argoswikiproddb-argos_ due to pending writes.
[exception] [8ada3731fb9f4e4226a2f552] /argoswiki/index.php?title=Special:Upload MediaWiki\Revision\IncompleteRevisionException from line 420 of x:\xargoswiki\includes\Revision\RevisionStore.php: sha1 field must not be ''!
#0 x:\xargoswiki\includes\Revision\RevisionStore.php(473): MediaWiki\Revision\RevisionStore->failOnEmpty(string, string)
#1 x:\xargoswiki\includes\Revision.php(1136): MediaWiki\Revision\RevisionStore->insertRevisionOn(MediaWiki\Revision\MutableRevisionRecord, Wikimedia\Rdbms\DatabaseMysqli)
#2 x:\xargoswiki\includes\filerepo\file\LocalFile.php(1674): Revision->insertOn(Wikimedia\Rdbms\DatabaseMysqli)
#3 x:\xargoswiki\includes\filerepo\file\LocalFile.php(1369): LocalFile->recordUpload2(string, string, string, array, string, User, array, boolean)
#4 x:\xargoswiki\includes\upload\UploadBase.php(868): LocalFile->upload(string, string, string, integer, array, boolean, User, array)
#5 x:\xargoswiki\includes\specials\SpecialUpload.php(567): UploadBase->performUpload(string, string, boolean, User, array)
#6 x:\xargoswiki\includes\specials\SpecialUpload.php(207): SpecialUpload->processUpload()
#7 x:\xargoswiki\includes\specialpage\SpecialPage.php(569): SpecialUpload->execute(NULL)
#8 x:\xargoswiki\includes\specialpage\SpecialPageFactory.php(568): SpecialPage->run(NULL)
#9 x:\xargoswiki\includes\MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#10 x:\xargoswiki\includes\MediaWiki.php(860): MediaWiki->performRequest()
#11 x:\xargoswiki\includes\MediaWiki.php(517): MediaWiki->main()
#12 x:\xargoswiki\index.php(42): MediaWiki->run()
#13 {main}
User: loading options for user 214 from database.
User: loading options for user 214 from database.
User: loading options for user 214 from database.
OutputPage::sendCacheControl: no caching **
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[caches] LocalisationCache: using store LCStoreCDB
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: x.x.x.x
[caches] LocalisationCache: using store LCStoreCDB
Start request GET /argoswiki/index.php
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
DNT: 1
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Special:Upload
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr; UseDC=master; UseCDNCache=false
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: image/webp,image/apng,image/*,*/*;q=0.8
CONNECTION: close
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610541 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[ContentHandler] Created handler for wikitext: WikitextContentHandler
User: loading options for user 214 from override cache.
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
OutputPage::sendCacheControl: private caching; Sun, 03 Mar 2019 17:31:34 GMT **
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
IP: x.x.x.x
[caches] LocalisationCache: using store LCStoreCDB
Start request GET /argoswiki/index.php?title=Main_Page
HTTP HEADERS:
CONTENT-TYPE:
CONTENT-LENGTH: 0
DNT: 1
USER-AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36
REFERER: https://wiki.pdc-argos.com/argoswiki/index.php?title=Special:Upload
IF-MODIFIED-SINCE: Sun, 03 Mar 2019 17:31:28 GMT
HOST: wiki.pdc-argos.com
COOKIE: wikiEditor-0-toolbar-section=advanced; _ga=GA1.2.1575563465.1549441799; argoswiki1testdb_argos_UserName=Jan; argoswikiproddb_argos_UserID=214; argoswikiproddb_argos_UserName=HWAWikiSysop; argoswikiproddb_argos_Token=2ec01f2970e010f87c8c7f7a531c4076; argoswikiproddb_argos__session=29pkui9n7gsk513mg7snkli5iftcvofr; UseDC=master; UseCDNCache=false
ACCEPT-LANGUAGE: en-GB,en;q=0.9,en-US;q=0.8,da;q=0.7
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT: image/webp,image/apng,image/*,*/*;q=0.8
CONNECTION: close
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: EmptyBagOStuff, session: SqlBagOStuff
[authentication] Overriding AuthManager primary authn because $wgAuth is MsSqlAuth
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff.
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {

"IPAddress": "x.x.x.x",
"UserAgent": "Mozilla\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/72.0.3626.119 Safari\/537.36",
"ChronologyProtection": false,
"ChronologyPositionIndex": 0,
"ChronologyClientId": null

}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
User: cache miss for user 214
User: loading options for user 214 from database.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openLocalConnection: connected to database 0 at '127.0.0.1'.
[SQLBagOStuff] Connection 3610543 will be used for SqlBagOStuff
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[ContentHandler] Created handler for wikitext: WikitextContentHandler
User: loading options for user 214 from override cache.
OutputPage::checkLastModified: client sent If-Modified-Since: 2019-03-03T17:31:28Z
OutputPage::checkLastModified: effective Last-Modified: 2019-03-03T17:31:34Z
OutputPage::checkLastModified: STALE, page=2019-03-01T08:50:04Z, user=2019-03-03T17:31:34Z, epoch=2019-03-02T17:20:24Z
[MessageCache] MessageCache::load: Loading en... local cache is empty, global cache is empty, loading from database
Unstubbing $wgParser on call of $wgParser::firstCallInit from MessageCache->transform
Parser: using preprocessor: Preprocessor_DOM
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->construct
[caches] parser: EmptyBagOStuff
Article::tryFileCache(): not cacheable
Article::view using parser cache: yes
Article::view: doing uncached parse
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
MediaHandlerFactory::getHandler: no handler found for application/pdf.
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
User::getBlockedStatus: checking...
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
User: loading options for user 214 from override cache.
OutputPage::sendCacheControl: private caching; Sun, 03 Mar 2019 17:31:34 GMT **
[DBQuery] startAtomic: entering level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[DBPerformance] Expectation (writes <= 0) by MediaWiki::restInPeace not met (actual: 1):
query-m: INSERT INTO argos_job (job_cmd,job_namespace,job_title,job_params,job_timestamp,job_sha1,job_random) VALUES ('X') [TRX#beddb1]
#0 x:\xargoswiki\includes\libs\rdbms\TransactionProfiler.php(224): Wikimedia\Rdbms\TransactionProfiler->reportExpectationViolated('writes', 'query-m: INSERT...', 1)
#1 x:\xargoswiki\includes\libs\rdbms\database\Database.php(1285): Wikimedia\Rdbms\TransactionProfiler->recordQueryCompletion('query-m: INSERT...', 1551634295.4002, true, 1)
#2 x:\xargoswiki\includes\libs\rdbms\database\Database.php(1183): Wikimedia\Rdbms\Database->doProfiledQuery('INSERT INTO `a...', 'INSERT /* JobQu...', true, 'JobQueueDB::doB...')
#3 x:\xargoswiki\includes\libs\rdbms\database\Database.php(2068): Wikimedia\Rdbms\Database->query('INSERT INTO `a...', 'JobQueueDB::doB...')
#4 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(255): Wikimedia\Rdbms\Database->insert('argos_job', Array, 'JobQueueDB::doB...')
#5 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(200): JobQueueDB->doBatchPushInternal(Object(Wikimedia\Rdbms\DatabaseMysqli), Array, 0, 'JobQueueDB::doB...')
#6 x:\xargoswiki\includes\libs\rdbms\database\Database.php(3380): JobQueueDB->{closure}(Object(Wikimedia\Rdbms\DatabaseMysqli))
#7 x:\xargoswiki\includes\libs\rdbms\database\DBConnRef.php(49): Wikimedia\Rdbms\Database->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#8 x:\xargoswiki\includes\libs\rdbms\database\DBConnRef.php(514): Wikimedia\Rdbms\DBConnRef->
call('onTransactionPr...', Array)
#9 x:\xargoswiki\includes\jobqueue\JobQueueDB.php(202): Wikimedia\Rdbms\DBConnRef->onTransactionPreCommitOrIdle(Object(Closure), 'JobQueueDB::doB...')
#10 x:\xargoswiki\includes\jobqueue\JobQueue.php(332): JobQueueDB->doBatchPush(Array, 0)
#11 x:\xargoswiki\includes\jobqueue\JobQueue.php(302): JobQueue->batchPush(Array, 0)
#12 x:\xargoswiki\includes\jobqueue\JobQueueGroup.php(151): JobQueue->push(Array)
#13 x:\xargoswiki\includes\deferred\JobQueueEnqueueUpdate.php(57): JobQueueGroup->push(Array)
#14 x:\xargoswiki\includes\deferred\DeferredUpdates.php(270): JobQueueEnqueueUpdate->doUpdate()
#15 x:\xargoswiki\includes\deferred\DeferredUpdates.php(216): DeferredUpdates::runUpdate(Object(JobQueueEnqueueUpdate), Object(Wikimedia\Rdbms\LBFactorySimple), 'enqueue', 2)
#16 x:\xargoswiki\includes\deferred\DeferredUpdates.php(140): DeferredUpdates::execute(Array, 'enqueue', 2)
#17 x:\xargoswiki\includes\MediaWiki.php(903): DeferredUpdates::doUpdates('enqueue')
#18 x:\xargoswiki\includes\MediaWiki.php(726): MediaWiki->restInPeace('normal', true)
#19 x:\xargoswiki\includes\MediaWiki.php(749): MediaWiki->{closure}()
#20 x:\xargoswiki\includes\MediaWiki.php(550): MediaWiki->doPostOutputShutdown('normal')
#21 x:\xargoswiki\index.php(42): MediaWiki->run()
#22 {main}
[DBQuery] endAtomic: leaving level 0 (Wikimedia\Rdbms\Database::onTransactionPreCommitOrIdle)
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303173135 requestId=98dc7e48a11a1f06179f5969 causeAction=unknown causeAgent=unknown (id=878,timestamp=20190303173135) STARTING
Title::getRestrictionTypes: applicable restrictions to [[Main Page]] are {edit,move}
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:7b9ad5a747d8e0d527a2f82deabeca3f:1)
[Preprocessor] Cached preprocessor output (key: argoswikiproddb-argos_:preprocess-xml:2142080477fefcdc34ae68e846e64eb3:1)
[DBQuery] MediaWiki\Storage\DerivedPageDataUpdater::doSecondaryDataUpdates: committing on behalf of RefreshLinksJob::run.
[DBQuery] RefreshLinksJob::runForTitle: committing on behalf of RefreshLinksJob::run.
[runJobs] refreshLinksDynamic Main_Page isOpportunistic=1 rootJobTimestamp=20190303173135 requestId=98dc7e48a11a1f06179f5969 causeAction=unknown causeAgent=unknown (id=878,timestamp=20190303173135) t=175 good
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::closeAll: closing connection to database '127.0.0.1'.

Thank you for the additional information. It does not show anything definitive, but could you please report the results when you do the following:

SELECT revision.*, HEX(rev_sha1) FROM page JOIN revision ON (rev_id = page_latest) WHERE page_namespace=6 AND page_title='ModelServer_documentation.pdf';

Also, in the future, you can use https://phabricator.wikimedia.org/paste/ to paste your debug logs rather than pasting the full log here. That would make the text a bit more legible.

Thank you again for looking into this issue.
I have run the query and tried to make a public available paste of the outcome at https://phabricator.wikimedia.org/P8151:

Thanks for the additional information. Could you please try this now?

SELECT slots.*, content.*, HEX(content_sha1) FROM slots LEFT JOIN content ON ( content_id = slot_content_id) WHERE slot_revision_id = 6274;

Thank you - I have added (at bottom) the outcome of the query to https://phabricator.wikimedia.org/P8151.
Kind regards

Hi Cindy!

I activated the debug to obtain more detail I found the following lines:

[DBQuery] wiki SELECT / * MediaWiki \ Revision \ RevisionStore :: newNullRevision * / page_latest FROM page WHERE page_id = '567' LIMIT 1 FOR UPDATE
[DBQuery] wiki SELECT / * MediaWiki \ Revision \ RevisionStore :: fetchRevisionRowFromConds * / rev_id, rev_page, rev_timestamp, rev_minor_edit, rev_deleted, rev_len, rev_parent_id, rev_sha1, rev_comment AS rev_comment_text, NULL AS` rev_comment_data`, NULL AS rev_comment_cid , rev_user, rev_user_text, NULL AS rev_actor, page_namespace, page_title, page_id, page_latest, page_is_redirect, page_len, user_name FROM` revision` INNER JOIN page ON ((page_id = rev_page)) LEFT JOIN` user` ON ((rev_user ! = 0) AND (user_id = rev_user)) WHERE rev_id = '18294' LIMIT 1
[DBQuery] wiki SELECT / * MediaWiki \ Revision \ RevisionStore :: loadSlotRecords * / slot_revision_id, slot_content_id, slot_origin, slot_role_id, content_size, content_sha1, content_address, content_model FROM slots INNER JOIN` content` ON ((slot_content_id = content_id)) WHERE slot_revision_id = '18294'
[DBQuery] wiki SELECT / * Wikimedia \ Rdbms \ Database :: ping * / 1 AS ping
[DBQuery] wiki ROLLBACK / * MWExceptionHandler :: rollbackMasterChangesAndLog * /
[exception] [84ce4d9d5080cde5574a7aee] /wiki/index.php?title=Special:MoverP%C3%A1gina&action=submit MediaWiki \ Revision \ IncompleteRevisionException from line 420 of / var / www / html / php72 / wiki / includes / Revision / RevisionStore. php: sha1 field must not be ''!

I checked in the database the table content with the following sentence:

SELECT * FROM wiki.content WHERE content_sha1 = '' OR content_sha1 = null;

And I found some records match the search filter.

I researched about the field and found
On the page "https://www.mediawiki.org/wiki/Manual:Content_table" you will find the description of the table and column:
content_sha1 -> Nominal hash of the content object (not necessarily of the serialized blob)

On the page "https://www.mediawiki.org/wiki/Multi-Content_Revisions/Database_Schema#content" gives a little more information:
Needed to re-calculate rev_sha1 for new revisions. Note: Should be nullable in case we want to switch to on-the-fly calculation to save space.

On the page "https://www.mediawiki.org/wiki/Multi-Content_Revisions/Schema_Migration" it says that for revision and file it should eventually be calculated from the blob if it is NULL.

Being an article, I did a test in which I copied the rev_sha1 into content_sha1 and the page transfer worked.

The steps I followed would be:

  1. Get from debug the rev_id and the content_id. The sentence from which I obtained it is similar to the one I obtained with the debug: SELECT slot_revision_id, slot_content_id, slot_origin, slot_role_id, content_size, content_sha1, content_address, content_model, content_id FROM slots INNER JOIN` content` ON ((slot_content_id = content_id )) WHERE slot_revision_id = '<rev_id>';
  2. Get the rev_sha1 with the statement: SELECT * FROM wiki.revision WHERE rev_id = '<rev_id>';
  3. Copy the rev_sha1 to content_sha1: UPDATE wiki.content SET content_sha1 = '<rev_sha1>' WHERE content_id = '<content_id>';

What is between <> are values ​​that must be replaced.

Since I have several records of the content table with null value in content_sha1, you should see how to create a statement in which you review all the records, to obtain a global solution. I did not find an official solution yet, so I do not know if there is a php script that solves the problem, nor am I sure it is the correct solution.

I should do other tests to be sure. As soon as I can I do them and if I can create the global sentence I add it to the thread.

Thank you!

Sorry for the delay. Yes, the last query indicated what the problem is: content_sha1 is missing a value. Perhaps you ran populateContentTables.php before running populateRevisionSha1.php so it populated content_sha1 from the empty rev_sha1?

Your solution of copying rev_sha1 to content_sha1 for the affected rows will fix the problem in your case.

The general solution is to fix the scripts. I will be filing a ticket to update populateRevisionSha1.php to run over the content table too, like it already does the revision and archive tables as well as adding a check to populateContentTables.php to either calculate the sha1 when empty or to just abort with an error saying to run populateRevisionSha1.php first.

Hello!

I executed the SQL statement:

UPDATE wiki.content SET content.content_sha1 = (SELECT revision.rev_sha1 FROM wiki.revision WHERE revision.rev_id = content.content_id) WHERE content.content_sha1 = '' OR content.content_sha1 = null;

and although I got warnings of the type "Column 'content_sha1' can not be null." it worked for several tests and executing the SQL statement:

SELECT * FROM wiki.content, wiki.revision WHERE revision.rev_id = content.content_id AND content_sha1 = '' OR content_sha1 = null;

I did not get records.

And I was able to translate the titles (pages), change the name and change the namespace, create, edit, delete and revert to an earlier edition.

With respect to the files I could change the name, upload a new version, create a new one, delete, but the transfer of files to a different namespace I could not do it because it returns the message: "Unable to move the file to a space of names that is not for files. ", that still do not know how to solve, reason why I can not assure that that test works.

Although for the tests I did, I did not find any problems, keep in mind that it is a solution based on the analysis of the code and errors on the part of a person with little experience.

I hope this helps you.

With respect to the files I could change the name, upload a new version, create a new one, delete, but the transfer of files to a different namespace I could not do it because it returns the message: "Unable to move the file to a space of names that is not for files. ", that still do not know how to solve, reason why I can not assure that that test works.

You can't move the file from the File: namespace, that's expected